// example declaration file - remove these and add your own custom typings

// memory extension samples
interface CreepMemory {
  /**
   * Строка, которая определяет роль крипа,
   * то есть действия, которые крип совершает.
   */
  role: string;
  /**
   * Действие, которое крип будет выполнять.
   */
  action: string | undefined;
  /**
   * Идентификатор источника энергии для крипа.
   */
  sourceId: Id<Source> | '';
  /**
   * Цель для починки.
   */
  repairTargetId: Id<Structure> | '';
  room: string;
  working: boolean;
}

interface Memory {
  uuid: number;
  log: any;
}

// `global` extension samples
declare namespace NodeJS {
  interface Global {
    log: any;
  }
}
